> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Call

> Initiates an outbound phone call associated with the specified outbound ID. The request body must contain the necessary details for making the call. Once initiated, the call will be routed to the first available agent.



## OpenAPI

````yaml post /v1/Outbound/{outboundId}/Call
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Outbound/{outboundId}/Call:
    post:
      tags:
        - Outbound
      summary: Make Call
      description: >-
        Initiates an outbound phone call associated with the specified outbound
        ID. The request body must contain the necessary details for making the
        call. Once initiated, the call will be routed to the first available
        agent.
      parameters:
        - name: outboundId
          in: path
          description: >-
            The unique identifier of the outbound campaign for which the call is
            being initiated.
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          The details required to make the outbound phone call, encapsulated in
          an NLPearl.Core.Models.OutboundMakeCallRequest object.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/OutboundMakeCallRequest'
              description: Defines the request structure for making an outbound call.
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/OutboundMakeCallRequest'
              description: Defines the request structure for making an outbound call.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/OutboundMakeCallRequest'
              description: Defines the request structure for making an outbound call.
      responses:
        '200':
          description: >-
            The outbound phone call was successfully initiated and the active
            state is returned.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/OutboundMakeCallResult'
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundMakeCallResult'
            text/json:
              schema:
                $ref: '#/components/schemas/OutboundMakeCallResult'
        '400':
          description: >-
            The request was invalid. Possible causes include a missing or
            malformed outbound ID, or errors in the call request details.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    OutboundMakeCallRequest:
      required:
        - to
      type: object
      properties:
        to:
          minLength: 1
          type: string
        callData:
          type: object
          additionalProperties:
            type: string
          description: "A dictionary containing additional information about the call.\r\nIt is used as variables that you can use in \"Opening Sentence\" or \"Flow Script\" when you create a Pearl on the platform.\r\nThe keys represent the field names, and the values contain the corresponding data.\r\nThis information can be used to personalize the conversation or manage lead-specific details.\r\nThis parameter is optional.\r\nsee [Variables](/pages/variables) for more information.\r\nHere is an example of the json to send:\r\n`{ \"email\" : \"joe@gmail.com\", \"address\": \"3 Abbey Road UK\" , \"carLicense\" : \"90-929-82\" }`"
          nullable: true
      additionalProperties: false
      description: Defines the request structure for making an outbound call.
    OutboundMakeCallResult:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier for the Request. This Request ID can be used
            to track or reference the specific call request from [Get Call
            Request](/api-reference/outbound/get-call-request).
          nullable: true
        from:
          type: string
          description: "The phone number from which the call was made. \r\nThis is the originating number used in the outbound call."
          nullable: true
        to:
          type: string
          description: "The phone number to which the call was made. \r\nThis is the destination number that was dialed."
          nullable: true
        queuePosition:
          type: integer
          description: >-
            The position of the call in the queue if the call is placed in a
            waiting queue.
          format: int64
      additionalProperties: false
      description: Defines the result structure for an outbound call operation.
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````